DROP TYPE(7)

NAME
DROP TYPE - remove a user-defined data type

SYNOPSIS

DROP TYPE typename [, ...] [ CASCADE | RESTRICT ]

  INPUTS

typename
    The name (optionally schema-qualified) of an existing type.

CASCADE
    Automatically drop objects that depend on the type (such as table columns, functions, operators, etc).

RESTRICT
    Refuse to drop the type if there are any dependent objects. This is the default.

  OUTPUTS

DROP TYPE
    The message returned if the command is successful.

ERROR: RemoveType: type 'typename' does not exist
    This message occurs if the specified type is not found.

DESCRIPTION

DROP TYPE will remove a user type from the system catalogs.

Only the owner of a type can remove it.

EXAMPLES

To remove the box type:

DROP TYPE box;

COMPATIBILITY

Note that the CREATE TYPE command and the data type extension mechanisms in PostgreSQL differ from SQL99.

SEE ALSO
CREATE TYPE [create_type(7)]